cURL
curl --request POST \ --url 'https://sandbox.rollfi.xyz/userPortal#cancelTimeOffRequest' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "method": "cancelTimeOffRequest", "timeOffRequestId": "A7F26D7A-FAF9-49C6-A623-C14ED3055262" } '
200
1
{ "timeOffRequest": { "timeOffRequestId": "A7F26D7A-FAF9-49C6-A623-C14ED3055262", "status": "Cancelled", "message": "Time off request cancelled successfully", "hoursConsumed": 0, "hoursRestored": 0 } }
The cancelTimeOffRequest API is used to cancel Approved PTO requests
cancelTimeOffRequest
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
Show child attributes